Invalid SQL: SELECT * FROM `swcomments` AS comments LEFT JOIN `swcommentdata` AS commentdata ON (comments.commentid = commentdata.commentid) WHERE comments.commenttype = '5' AND comments.isapproved = '1' AND comments.typeid = '14'; (Table '.\kayako_suite\swcomments' is marked as crashed and should be repaired) eXplorist 400 - NA Software Version 2.17


Reminder: Please ensure that your unit is running the latest software.

Search Support Center:
 eXplorist 400 - NA Software Version 2.17
Description This update includes the following features:

New Features:

  • The ability to track new WAAS satellites.

Depending on the version of eXplorist GPS receiver you have, the Installation Wizard will automatically determine which Software Update - 2.04 or 2.17 - is needed for your particular unit. You just simply need to start the Installation Wizard for this to execute.

Download Details
Filename: Link
Total Downloads: 7657
Creation Date:24 Sep 2010 5:25 PM
Modified: 23 Feb 2011 11:06 PM

Kayako Skin by